/** @format */

import request from "@/utils/request";

//获取所有待办列表
export function getTodoList(params) {
  return request({
    url: "/jflow/restful/DB_Todolist",
    method: "get",
    params,
  });
}

//受理
export function sendFlowToUsers(params) {
  return request({
    url: "/jflow/sendFlowToUsers",
    method: "post",
    params,
  });
}
//材料补正
export function returnBcakRclk(params) {
  return request({
    url: "/jflow/returnBcakRclk",
    method: "post",
    params,
  });
}
//不予受理
export function bysp(params) {
  return request({
    url: "/jflow/bysp",
    method: "post",
    params,
  });
}

//获取下一个节点的id
export function getNextNode(params) {
  return request({
    url: "/jflow/restful/GenerNextStepNode",
    method: "get",
    params,
  });
}

// 查询人才绿卡申请列表
export function listForm(query) {
  return request({
    url: "/application/form/list",
    method: "get",
    params: query,
  });
}
//获取不予受理的详情
export function getApplicationState(params) {
  return request({
    url: "/audit/opinion/shenqingStateByByslDetail",
    method: "get",
    params,
  });
}

//获取审批通过
export function listeditPaccssed(query) {
  return request({
    url: "/jflow/restful/MyJoinFlows",
    method: "get",
    params: query,
  });
}
